Delete the channel
curl --request DELETE \
--url https://{host}/api/{session}/channels/{id} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}"
headers = {"apikey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Channel removed successfully"
}
Channels
Delete Channel
Delete a channel (unfollow)
DELETE
/
api
/
{session}
/
channels
/
{id}
Delete the channel
Description
This endpoint allows you to delete a channel from your list, which means unfollowing the channel. Note that this does not permanently delete the channel, it only removes it from your list of followed channels.URL Parameters
string
required
WhatsApp unique authenticated session ID
string
required
Unique ID of the channel to delete (unfollow)
Response
boolean
Indicates if the channel was deleted successfully
{
"success": true,
"message": "Channel removed successfully"
}
Status Codes
200- Channel deleted successfully400- Invalid ID401- Unauthorized404- Channel not found500- Internal server error
Usage Example
curl -X DELETE https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}`, {
method: 'DELETE'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.delete(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}')
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
Response
200 - undefined
